Bug 856804 - [abrt] gnome-shell-3.4.1-5.fc17: gjs_define_object_class: Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
[abrt] gnome-shell-3.4.1-5.fc17: gjs_define_object_class: Process /usr/bin/gn...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:c4eaab7d90bb9c0858867e3644a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 16:09 EDT by Mehmet Akif Taşova
Modified: 2013-08-01 03:03 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.43 KB, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details
File: environ (1.54 KB, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details
File: event_log (2.51 KB, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details
File: backtrace (55.31 KB, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details
File: cgroup (134 bytes, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details
File: maps (65.11 KB, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details
File: dso_list (22.12 KB, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details
File: var_log_messages (5.00 KB, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details
File: open_fds (1.35 KB, text/plain)
2012-09-12 16:09 EDT, Mehmet Akif Taşova
no flags Details

  None (edit)
Description Mehmet Akif Taşova 2012-09-12 16:09:09 EDT
Description of problem:
it crashed when i'm reopening some extensions

Version-Release number of selected component:
gnome-shell-3.4.1-5.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gjs_define_object_class
kernel:         3.5.3-1.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #5 gjs_define_object_class at gi/object.c
: #6 gjs_register_type at gi/object.c
: #7 CallJSNative at jscntxtinlines.h
: #8 js::Interpret at jsinterp.cpp
: #9 js::RunScript at jsinterp.cpp
: #10 js::Invoke at jsinterp.cpp
: #11 js_fun_apply at jsfun.cpp
: #12 CallJSNative at jscntxtinlines.h
: #13 js::Interpret at jsinterp.cpp
: #14 js::RunScript at jsinterp.cpp
Comment 1 Mehmet Akif Taşova 2012-09-12 16:09:13 EDT
Created attachment 612254 [details]
File: core_backtrace
Comment 2 Mehmet Akif Taşova 2012-09-12 16:09:15 EDT
Created attachment 612255 [details]
File: environ
Comment 3 Mehmet Akif Taşova 2012-09-12 16:09:18 EDT
Created attachment 612256 [details]
File: event_log
Comment 4 Mehmet Akif Taşova 2012-09-12 16:09:20 EDT
Created attachment 612257 [details]
File: limits
Comment 5 Mehmet Akif Taşova 2012-09-12 16:09:23 EDT
Created attachment 612258 [details]
File: backtrace
Comment 6 Mehmet Akif Taşova 2012-09-12 16:09:25 EDT
Created attachment 612259 [details]
File: cgroup
Comment 7 Mehmet Akif Taşova 2012-09-12 16:09:29 EDT
Created attachment 612260 [details]
File: maps
Comment 8 Mehmet Akif Taşova 2012-09-12 16:09:32 EDT
Created attachment 612261 [details]
File: dso_list
Comment 9 Mehmet Akif Taşova 2012-09-12 16:09:34 EDT
Created attachment 612262 [details]
File: var_log_messages
Comment 10 Mehmet Akif Taşova 2012-09-12 16:09:36 EDT
Created attachment 612263 [details]
File: open_fds
Comment 11 Mehmet Akif Taşova 2012-09-12 16:45:20 EDT
now it started to crash randomly and it randomly locks screen too
Comment 12 Dario 2012-09-28 12:00:14 EDT
I upgraded the extension https://extensions.gnome.org/extension/55/media-player-indicator/, then the shell crashed

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Giovanni Conconi 2012-11-28 17:47:48 EST
(In reply to comment #12)
> I upgraded the extension
> https://extensions.gnome.org/extension/55/media-player-indicator/, then the
> shell crashed
> 
> backtrace_rating: 4
> Package: gnome-shell-3.4.1-5.fc17
> Architecture: x86_64
> OS Release: Fedora release 17 (Beefy Miracle)

Exactly the same happened to me.

Package: gnome-shell-3.4.1-5.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Toby Haynes 2012-12-03 14:45:23 EST
Upgrading "Media player indicator" by eon on the extensions.gnome.org website

backtrace_rating: 4
Package: gnome-shell-3.4.1-6.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Fedora End Of Life 2013-07-03 21:57:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2013-08-01 03:03:52 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.